### File

`packages/components/eui-autocomplete/eui-autocomplete-panel/eui-autocomplete-panel.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-autocomplete-panel`
imports | `AsyncPipe` `NgTemplateOutlet` `ScrollingModule` `EuiAutocompleteOptionComponent` `EuiAutocompleteOptionGroupComponent` `EUI_ICON`
templateUrl | `./eui-autocomplete-panel.component.html`
styleUrl | `./eui-autocomplete-panel.component.scss`

### Index

###### Properties

- cssClass
- virtualScrolling

###### Methods

- onOptionSelected
- trackByFn

###### Inputs

- autocompleteOptGroupTemplate
- autocompleteOptions
- autocompleteOptionTemplate
- cdkVirtualScrollViewport
- distinctOptionGroups
- groupBy
- groupedOptions
- isOpen
- itemSize
- selectedOptionIndex

###### Outputs

- optionSelected

###### HostBindings

- class

### Inputs

autocompleteOptGroupTemplate
Type : `TemplateRef<{ $implicit: { label: string } }>`

autocompleteOptions
Type : `EuiAutoCompleteItem[]`
Default value : `[]`

autocompleteOptionTemplate
Type : `TemplateRef<{ $implicit: EuiAutoCompleteItem }>`

cdkVirtualScrollViewport
Default value : `0`

distinctOptionGroups
Type : `string[]`
Default value : `[]`

groupBy
Type : `string`

groupedOptions
Type : `BehaviorSubject<{ [id: string]: { options: EuiAutoCompleteItem[]; ancestorLength: number } }>`

isOpen
Default value : `false`

itemSize
Default value : `40`

selectedOptionIndex
Default value : `0`

### Outputs

optionSelected
Type : `EuiAutoCompleteItem`

### HostBindings

class
Type : `string`
Default value : `'eui-autocomplete-panel'`

### Methods

onOptionSelected
`onOptionSelected(option: EuiAutoCompleteItem)`

Parameters :

Name | Type | Optional
option | `EuiAutoCompleteItem` | No

Returns : `void`

trackByFn
`trackByFn(index: number, item: EuiAutoCompleteItem)`

Parameters :

Name | Type | Optional
index | `number` | No
item | `EuiAutoCompleteItem` | No

Returns : `string | number`

### Properties

cssClass
Type : `string`
Default value : `'eui-autocomplete-panel'`
Decorators : `@HostBinding('class')`

virtualScrolling
Type : `CdkVirtualScrollViewport`
Decorators : `@ViewChild('virtualScrolling')`

# results matching ""

# No results matching ""